Tutorial :Scala-Lift project in Eclipse Scala IDE errors



Question:

I installed Scala IDE for Eclipse, and it seems to be working okay. So now I'm trying to import a Lift project (specifically -- autogenerated Lift project from Stax application platform), and now I'm having four errors at my workspace:

value net is not a member of package <root> Boot.scala /rss2lj/src/scala/bootstrap/liftweb line [3..6] Scala Problem  

At lines:

import _root_.net.liftweb.util._  import _root_.net.liftweb.http._  import _root_.net.liftweb.sitemap._  import _root_.net.liftweb.sitemap.Loc._  

Could anyone please help me out with it?

UPD: I found a discussion with solution for maven-based projects, but the project, I'm trying to work with is not maven-based.

I got an answer here, but the new error occured on the same lines:

error while loading Helpers, Scala signature Helpers has wrong version    expected: 5.0    found: 4.1 in /home/gleontiev/workspace/rss2lj/webapp/WEB-INF/lib/   lift-util-1.0.jar(net/liftweb/util/Helpers.class)    error while loading LiftRules, Scala signature LiftRules has wrong   version    expected: 5.0    found: 4.1 in /home/gleontiev/workspace/rss2lj/webapp/WEB-INF/lib/   lift-webkit-1.0.jar(net/liftweb/http/LiftRules.class)    error while loading Loc, Scala signature Loc has wrong version    expected: 5.0    found: 4.1 in /home/gleontiev/workspace/rss2lj/webapp/WEB-INF/lib/   lift-webkit-1.0.jar(net/liftweb/sitemap/Loc.class)    error while loading Menu, Scala signature Menu has wrong version    expected: 5.0    found: 4.1 in /home/gleontiev/workspace/rss2lj/webapp/WEB-INF/lib/   lift-webkit-1.0.jar(net/liftweb/sitemap/Menu.class)  


Solution:1

The best place to ask questions like this is on the Scala IDE user mailing list.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »